<?php
/**
 * Class for Demo Import
 *
 * @package Construction_Base
 */

/**
 * Demo Import class.
 *
 * @since 1.7
 */
class Construction_Base_Demo_Import {

	function __construct() {
		add_filter( 'cp-ctdi/import_files', array( $this, 'import_files' ) );
		add_action( 'cp-ctdi/after_import', array( $this, 'after_import_setup' ) );
		add_filter( 'ocdi/import_files', array( $this, 'import_files' ) );
		add_action( 'ocdi/after_import', array( $this, 'after_import_setup' ) );
	}
	function import_files() {
		return array(
			array(
				'import_file_name'           => esc_html__( 'Construction Base Pro Demo', 'construction-base-pro' ),
				'import_file_url'            => get_template_directory_uri() . '/inc/support/ctdi/construction-base-pro.xml',
				'import_widget_file_url'     => get_template_directory_uri() . '/inc/support/ctdi/construction-base-pro.wie',
				'import_customizer_file_url' => get_template_directory_uri() . '/inc/support/ctdi/construction-base-pro.dat',
				'import_preview_image_url'   => get_template_directory_uri() . '/screenshot.png',
				'preview_url'                => 'https://wenthemes.com/item/wordpress-themes/construction-base-pro/',
			),
		);
	}

	function after_import_setup() {
		// Assign menus to their locations.
		$main_menu   = get_term_by( 'name', 'Header Menu', 'nav_menu' );
		$social_menu = get_term_by( 'name', 'Social Links', 'nav_menu' );
		set_theme_mod(
			'nav_menu_locations',
			array(
				'primary' => $main_menu->term_id,
				'social'  => $social_menu->term_id,
			)
		);
		// Assign front page and posts page (blog page).
		$front_page_id = get_page_by_title( 'Home' );
		$blog_page_id  = get_page_by_title( 'Blog' );
		update_option( 'show_on_front', 'page' );
		update_option( 'page_on_front', $front_page_id->ID );
		update_option( 'page_for_posts', $blog_page_id->ID );
	}
}

// Initialize.
$construction_base_ctdi = new Construction_Base_Demo_Import();
